Package org.apache.jmeter.save.converters

# Class SampleSaveConfigurationConverter

java.lang.Object
com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
com.thoughtworks.xstream.converters.reflection.ReflectionConverter
org.apache.jmeter.save.converters.SampleSaveConfigurationConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`, `com.thoughtworks.xstream.core.Caching`

public class SampleSaveConfigurationConverter extends com.thoughtworks.xstream.converters.reflection.ReflectionConverter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter

  `com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter.DuplicateFieldException, com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter.UnknownFieldException`

- ## Field Summary

  ### Fields inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter

  `mapper, reflectionProvider, serializationMembers, serializationMethodInvoker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleSaveConfigurationConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canConvert(Class arg0)`
  `static String`
  `getVersion()`
  Returns the converter version; used to check for possible incompatibilities
  `void`
  `marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
  `Object`
  `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

  ### Methods inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter

  `canAccess, doMarshal, doUnmarshal, flushCache, instantiateNewInstance, marshallField, readResolve, shouldUnmarshalField, shouldUnmarshalTransientFields, unmarshallField`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SampleSaveConfigurationConverter

    public SampleSaveConfigurationConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

- ## Method Details

  - ### getVersion

    public static String getVersion()
    Returns the converter version; used to check for possible incompatibilities
    Returns:
      the version of this converter

  - ### canConvert

    public boolean canConvert(Class arg0)
    Specified by:
      `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
    Overrides:
      `canConvert` in class `com.thoughtworks.xstream.converters.reflection.ReflectionConverter`

  - ### marshal

    public void marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)
    Specified by:
      `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Overrides:
      `marshal` in class `com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter`

  - ### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)
    Specified by:
      `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Overrides:
      `unmarshal` in class `com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter`